## iptraf-ng 1.1.3.1

=== Makefile ===
# The default target of this Makefile is...
all::

# Define V=1 to have a more verbose compile.
#
# Define NO_PANEL if you don't want to use -lpanel.
#
# Define NEEDS_NCURSES5 if you need linking with ncurses5.
#
# Define NEEDS_NCURSESW5 if you need linking with ncursesw5.
#
# Define NEEDS_NCURSES6 if you need linking with ncurses6.
#
# Define NEEDS_NCURSESW6 if you need linking with ncursesw6.


VERSION-FILE: FORCE
	@$(SHELL_PATH) ./GEN-VERSION-FILE
-include VERSION-FILE

CFLAGS = -g -O2 -Wall -W -std=gnu99
LDFLAGS =
ALL_CFLAGS = $(CPPFLAGS) $(CFLAGS)
ALL_LDFLAGS = $(LDFLAGS)
STRIP ?= strip

prefix = $(HOME)
sbindir_relative = sbin
sbindir = $(prefix)/$(sbindir_relative)
mandir = $(prefix)/share/man
sharedir = $(prefix)/share
localedir = $(sharedir)/locale
lib = lib
man8dir = $(mandir)/man8

# DESTDIR=
pathsep = :

export prefix bindir sharedir sysconfdir gitwebdir localedir

CC = cc
RM = rm -f
INSTALL = install
RPMBUILD = rpmbuild
TAR = tar

### --- END CONFIGURATION SECTION ---


# Those must not be GNU-specific; they are shared with perl/ which may
# be built by a different compiler. (Note that this is an artifact now
# but it still might be nice to keep that distinction.)
BASIC_CFLAGS = -I. -Isrc/
BASIC_LDFLAGS =

# Guard against environment variables
iptraf-h :=
iptraf-o :=
rvnamed-o :=
rvnamed-h :=


ALL_PROGRAMS =

# Empty...
EXTRA_PROGRAMS =

ALL_PROGRAMS += iptraf-ng rvnamed-ng

ifndef SHELL_PATH
	SHELL_PATH = /bin/sh
endif

iptraf-h += src/tui/input.h
iptraf-h += src/tui/labels.h
iptraf-h += src/tui/listbox.h
iptraf-h += src/tui/menurt.h
iptraf-h += src/tui/msgboxes.h
iptraf-h += src/tui/winops.h
iptraf-h += src/iptraf-ng-compat.h
iptraf-h += src/parse-options.h
iptraf-h += src/packet.h
iptraf-h += src/tcptable.h
iptraf-h += src/othptab.h
iptraf-h += src/ifstats.h
iptraf-h += src/deskman.h
iptraf-h += src/hostmon.h
iptraf-h += src/fltedit.h
iptraf-h += src/cidr.h
iptraf-h += src/fltselect.h
iptraf-h += src/ipfilter.h
iptraf-h += src/fltmgr.h
iptraf-h += src/ipfrag.h
iptraf-h += src/serv.h
iptraf-h += src/servname.h
iptraf-h += src/instances.h
iptraf-h += src/timer.h
iptraf-h += src/ifaces.h
iptraf-h += src/error.h
iptraf-h += src/revname.h
iptraf-h += src/log.h
iptraf-h += src/pktsize.h
iptraf-h += src/landesc.h
iptraf-h += src/dirs.h
iptraf-h += src/getpath.h
iptraf-h += src/isdntab.h
iptraf-h += src/bar.h
iptraf-h += src/options.h
iptraf-h += src/promisc.h
iptraf-h += src/parseproto.h
iptraf-h += src/addproto.h
iptraf-h += src/arphdr.h
iptraf-h += src/attrs.h
iptraf-h += src/fltdefs.h
iptraf-h += src/logvars.h
iptraf-h += src/list.h
iptraf-h += src/counters.h
iptraf-h += src/rate.h

iptraf-o += src/tui/input.o
iptraf-o += src/tui/labels.o
iptraf-o += src/tui/listbox.o
iptraf-o += src/tui/menurt.o
iptraf-o += src/tui/msgboxes.o
iptraf-o += src/tui/winops.o
iptraf-o += src/error.o
iptraf-o += src/log.o
iptraf-o += src/getpath.o
iptraf-o += src/bar.o
iptraf-o += src/parseproto.o
iptraf-o += src/fltselect.o
iptraf-o += src/ipfilter.o
iptraf-o += src/fltmgr.o
iptraf-o += src/ipfrag.o
iptraf-o += src/serv.o
iptraf-o += src/servname.o
iptraf-o += src/instances.o
iptraf-o += src/timer.o
iptraf-o += src/revname.o
iptraf-o += src/pktsize.o
iptraf-o += src/landesc.o
iptraf-o += src/isdntab.o
iptraf-o += src/options.o
iptraf-o += src/promisc.o
iptraf-o += src/ifaces.o
iptraf-o += src/usage.o
iptraf-o += src/iptraf.o
iptraf-o += src/itrafmon.o
iptraf-o += src/wrapper.o
iptraf-o += src/parse-options.o
iptraf-o += src/packet.o
iptraf-o += src/tcptable.o
iptraf-o += src/othptab.o
iptraf-o += src/ifstats.o
iptraf-o += src/detstats.o
iptraf-o += src/deskman.o
iptraf-o += src/hostmon.o
iptraf-o += src/fltedit.o
iptraf-o += src/cidr.o
iptraf-o += src/counters.o
iptraf-o += src/rate.o

rvnamed-o += src/rvnamed.o
rvnamed-o += src/getpath.o

-include config.mak.autogen
-include config.mak

ifndef sysconfdir
ifeq ($(prefix),/usr)
sysconfdir = /etc
else
sysconfdir = etc
endif
endif

ifdef CHECK_HEADER_DEPENDENCIES
COMPUTE_HEADER_DEPENDENCIES = no
USE_COMPUTED_HEADER_DEPENDENCIES =
endif

ifndef COMPUTE_HEADER_DEPENDENCIES
COMPUTE_HEADER_DEPENDENCIES = auto
endif

ifeq ($(COMPUTE_HEADER_DEPENDENCIES),auto)
dep_check = $(shell $(CC) $(ALL_CFLAGS) \
	-c -MF /dev/null -MMD -MP -x c /dev/null -o /dev/null 2>&1; \
	echo $$?)
ifeq ($(dep_check),0)
override COMPUTE_HEADER_DEPENDENCIES = yes
else
override COMPUTE_HEADER_DEPENDENCIES = no
endif
endif

ifeq ($(COMPUTE_HEADER_DEPENDENCIES),yes)
USE_COMPUTED_HEADER_DEPENDENCIES = YesPlease
else
ifneq ($(COMPUTE_HEADER_DEPENDENCIES),no)
$(error please set COMPUTE_HEADER_DEPENDENCIES to yes, no, or auto \
(not "$(COMPUTE_HEADER_DEPENDENCIES)"))
endif
endif

ifndef NCURSES_LDFLAGS
ifdef NEEDS_NCURSES5
	NCURSES_CFLAGS := $(shell ncurses5-config --cflags 2>/dev/null)
	NCURSES_LDFLAGS := $(shell ncurses5-config --libs 2>/dev/null)
	ifndef NO_PANEL
		NCURSES_LDFLAGS += -lpanel
	endif
endif
endif

ifndef NCURSES_LDFLAGS
ifdef NEEDS_NCURSESW5
	NCURSES_CFLAGS := $(shell ncursesw5-config --cflags 2>/dev/null)
	NCURSES_LDFLAGS := $(shell ncursesw5-config --libs 2>/dev/null)
	ifndef NO_PANEL
		NCURSES_LDFLAGS += -lpanel
	endif
endif
endif

ifndef NCURSES_LDFLAGS
ifdef NEEDS_NCURSES6
	NCURSES_CFLAGS := $(shell ncurses6-config --cflags 2>/dev/null)
	NCURSES_LDFLAGS := $(shell ncurses6-config --libs 2>/dev/null)
	ifndef NO_PANEL
		NCURSES_LDFLAGS += -lpanel
	endif
endif
endif

ifndef NCURSES_LDFLAGS
ifdef NEEDS_NCURSESW6
	NCURSES_CFLAGS := $(shell ncursesw6-config --cflags 2>/dev/null)
	NCURSES_LDFLAGS := $(shell ncursesw6-config --libs 2>/dev/null)
	ifndef NO_PANEL
		NCURSES_LDFLAGS += -lpanel
	endif
endif
endif

# try find ncuses by autodetect
ifndef NCURSES_LDFLAGS
	ifneq ($(shell ncurses5-config --libs 2>/dev/null),)
		NCURSES_CFLAGS := $(shell ncurses5-config --cflags 2>/dev/null)
		NCURSES_LDFLAGS := $(shell ncurses5-config --libs 2>/dev/null)
	else ifneq ($(shell ncursesw5-config --libs 2>/dev/null),)
		NCURSES_CFLAGS := $(shell ncursesw5-config --cflags 2>/dev/null)
		NCURSES_LDFLAGS := $(shell ncursesw5-config --libs 2>/dev/null)
	else ifneq ($(shell ncurses6-config --libs 2>/dev/null),)
		NCURSES_CFLAGS := $(shell ncurses6-config --cflags 2>/dev/null)
		NCURSES_LDFLAGS := $(shell ncurses6-config --libs 2>/dev/null)
	else ifneq ($(shell ncursesw6-config --libs 2>/dev/null),)
		NCURSES_CFLAGS := $(shell ncursesw6-config --cflags 2>/dev/null)
		NCURSES_LDFLAGS := $(shell ncursesw6-config --libs 2>/dev/null)
	endif

	ifneq ($(NCURSES_LDFLAGS),)
	ifndef NO_PANEL
		NCURSES_LDFLAGS += -lpanel
	endif
	endif
endif

QUIET_SUBDIR0  = +$(MAKE) -C # space to separate -C and subdir
QUIET_SUBDIR1  =

ifneq ($(findstring $(MAKEFLAGS),w),w)
PRINT_DIR = --no-print-directory
else # "make -w"
NO_SUBDIR = :
endif

ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	QUIET_CC       = @echo '   ' CC $@;
	QUIET_LINK     = @echo '   ' LINK $@;
	QUIET_GEN      = @echo '   ' GEN $@;
	QUIET_SUBDIR0  = +@subdir=
	QUIET_SUBDIR1  = ;$(NO_SUBDIR) echo '   ' SUBDIR $$subdir; \
			 $(MAKE) $(PRINT_DIR) -C $$subdir
	export V
	export QUIET_GEN
	export QUIET_BUILT_IN
endif
endif


DESTDIR_SQ = $(subst ','\'',$(DESTDIR))
sbindir_SQ = $(subst ','\'',$(sbindir))

ALL_CFLAGS += $(BASIC_CFLAGS)
ALL_LDFLAGS += $(BASIC_LDFLAGS)

export TAR INSTALL DESTDIR SHELL_PATH

### Build rules

SHELL = $(SHELL_PATH)

#all:: shell_compatibility_test
#please_set_SHELL_PATH_to_a_more_modern_shell:
#	@$$(:)
#shell_compatibility_test: please_set_SHELL_PATH_to_a_more_modern_shell


all:: $(ALL_PROGRAMS)

iptraf-ng: $(iptraf-o)
	$(QUIET_LINK)$(CC) $(ALL_CFLAGS) -o $@ \
		$(iptraf-o) $(ALL_LDFLAGS) $(NCURSES_LDFLAGS)

src/deskman.o src/iptraf.o: VERSION-FILE
src/deskman.o src/iptraf.o: EXTRA_CPPFLAGS = \
	-DIPTRAF_VERSION='"$(IPTRAF_VERSION)"' \
	-DIPTRAF_NAME='"iptraf-ng"'

rvnamed-ng: $(rvnamed-o)
	$(QUIET_LINK)$(CC) $(ALL_CFLAGS) -o $@ \
		$(rvnamed-o) $(ALL_LDFLAGS)

configure: configure.ac
	$(QUIET_GEN)$(RM) $@ $<+ && \
	sed -e 's/@@IPTRAF_VERSION@@/$(IPTRAF_VERSION)/g' \
	    $< > $<+ && \
	autoconf -o $@ $<+ && \
	$(RM) $<+

OBJECTS := $(sort $(iptraf-o) $(rvnamed-o))

dep_files := $(foreach f,$(OBJECTS),$(dir $f).depend/$(notdir $f).d)
dep_dirs := $(addsuffix .depend,$(sort $(dir $(OBJECTS))))

ifeq ($(COMPUTE_HEADER_DEPENDENCIES),yes)
$(dep_dirs):
	@mkdir -p $@

missing_dep_dirs := $(filter-out $(wildcard $(dep_dirs)),$(dep_dirs))
dep_file = $(dir $@).depend/$(notdir $@).d
dep_args = -MF $(dep_file) -MMD -MP
ifdef CHECK_HEADER_DEPENDENCIES
$(error cannot compute header dependencies outside a normal build. \
Please unset CHECK_HEADER_DEPENDENCIES and try again)
endif
endif

.SUFFIXES:

ifdef PRINT_HEADER_DEPENDENCIES
$(OBJECTS): %.o: %.c FORCE
	echo $^

ifndef CHECK_HEADER_DEPENDENCIES
$(error cannot print header dependencies during a normal build. \
Please set CHECK_HEADER_DEPENDENCIES and try again)
endif
endif

ifndef PRINT_HEADER_DEPENDENCIES
ifdef CHECK_HEADER_DEPENDENCIES
$(OBJECTS): %.o: %.c $(dep_files) FORCE
	@set -e; echo CHECK $@; \
	missing_deps="$(missing_deps)"; \
	if test "$$missing_deps"; \
	then \
		echo missing dependencies: $$missing_deps; \
		false; \
	fi
endif
endif

ifndef CHECK_HEADER_DEPENDENCIES
$(OBJECTS): %.o: %.c $(missing_dep_dirs)
	$(QUIET_CC)$(CC) -o $*.o -c $(dep_args) $(NCURSES_CFLAGS) $(ALL_CFLAGS) $(EXTRA_CPPFLAGS) $<
endif

ifdef USE_COMPUTED_HEADER_DEPENDENCIES
# Take advantage of gcc's on-the-fly dependency generation
# See <http://gcc.gnu.org/gcc-3.0/features.html>.
dep_files_present := $(wildcard $(dep_files))
ifneq ($(dep_files_present),)
include $(dep_files_present)
endif
else
# Dependencies on header files, for platforms that do not support
# the gcc -MMD option.
#
# Dependencies on automatically generated headers such as common-cmds.h
# should _not_ be included here, since they are necessary even when
# building an object for the first time.
#
# XXX. Please check occasionally that these include all dependencies
# gcc detects!

$(OBJECTS): $(iptraf-h)
endif


### Maintainer's dist rules

iptraf-ng.spec: iptraf-ng.spec.in
	sed -e 's/@@IPTRAF_VERSION@@/$(IPTRAF_VERSION)/g' < $< > $@+
	mv $@+ $@

IPTRAF_TARNAME = iptraf-ng-$(IPTRAF_VERSION)
dist: iptraf-ng.spec configure
	@mkdir -p $(IPTRAF_TARNAME)
	@cp iptraf-ng.spec configure $(IPTRAF_TARNAME)
	@cp --parents `git ls-files` $(IPTRAF_TARNAME)
	@echo $(IPTRAF_VERSION) > $(IPTRAF_TARNAME)/version
	$(TAR) cf $(IPTRAF_TARNAME).tar $(IPTRAF_TARNAME)
	@$(RM) -rf $(IPTRAF_TARNAME)
	gzip -f -9 $(IPTRAF_TARNAME).tar

rpm: dist
	$(RPMBUILD) \
		--define "_source_filedigest_algorithm md5" \
		--define "_binary_filedigest_algorithm md5" \
		-ta $(IPTRAF_TARNAME).tar.gz


## TODO: use asciidoc to generate mans

### Installation rules
install: all
	@echo $(DESTDIR_SQ)$(man8dir)
	$(INSTALL) -d -m 755 '$(DESTDIR_SQ)$(sbindir_SQ)'
	$(INSTALL) $(ALL_PROGRAMS) '$(DESTDIR_SQ)$(sbindir_SQ)'
	$(INSTALL) -d -m 755 $(DESTDIR)$(man8dir)
	$(INSTALL) -m 644 src/iptraf-ng.8  $(DESTDIR)$(man8dir)
	$(INSTALL) -m 644 src/rvnamed-ng.8  $(DESTDIR)$(man8dir)

### Cleaning rules

distclean: clean
	$(RM) configure

clean:
	$(RM) src/*.o src/tui/*.o
	$(RM) $(ALL_PROGRAMS)
	$(RM) -r autom4te.cache
	$(RM) -r $(dep_dirs)
	$(RM) *.spec
	$(RM) $(IPTRAF_TARNAME).tar.gz
	$(RM) config.log config.mak.autogen config.mak.append config.status config.cache
	$(RM) VERSION-FILE

.PHONY: clean distclean all install FORCE

=== debian/changelog ===
iptraf-ng (1.1.3.1-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Aron Xu <aron@debian.org>  Tue, 14 May 2013 20:55:06 +0800

iptraf-ng (1.1.3.1-2) unstable; urgency=low

  * Fix build with Linux 3.5 (Closes: #689669).

 -- Aron Xu <aron@debian.org>  Fri, 05 Oct 2012 20:12:42 +0800

iptraf-ng (1.1.3.1-1) unstable; urgency=low

  * Initial release (Closes: #579924)

 -- Aron Xu <aron@debian.org>  Wed, 25 Jul 2012 09:59:02 +0800

=== debian/control ===
Source: iptraf-ng
Section: net
Priority: optional
Maintainer: Aron Xu <aron@debian.org>
Uploaders: Frederic Peters <fpeters@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libncurses5-dev
Standards-Version: 3.9.3
Homepage: https://fedorahosted.org/iptraf-ng/
Vcs-Git: git://git.debian.org/collab-maint/iptraf-ng.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/iptraf-ng.git

Package: iptraf-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Next Generation Interactive Colorful IP LAN Monitor 
 IPTraf-ng is an ncurses-based IP LAN monitor that generates various network
 statistics including TCP info, UDP counts, ICMP and OSPF information, 
 Ethernet load info, node stats, IP checksum errors, and others. 
 .
 IPTraf-ng is the next generation of IPTraf started as a fork of original
 iptraf-3.0.0.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ 
override_dh_auto_install:
	mkdir -p logrotate.d && cp -f iptraf-ng-logrotate.conf logrotate.d/iptraf-ng
	dh_install

## iptraf-ng 1.1.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# The default target of this Makefile is...
+# The default target of this Makefile is this
 all::
 
 # Define V=1 to have a more verbose compile.
@@ -93,7 +93,6 @@
 iptraf-h += src/ipfrag.h
 iptraf-h += src/serv.h
 iptraf-h += src/servname.h
-iptraf-h += src/instances.h
 iptraf-h += src/timer.h
 iptraf-h += src/ifaces.h
 iptraf-h += src/error.h
@@ -103,8 +102,6 @@
 iptraf-h += src/landesc.h
 iptraf-h += src/dirs.h
 iptraf-h += src/getpath.h
-iptraf-h += src/isdntab.h
-iptraf-h += src/bar.h
 iptraf-h += src/options.h
 iptraf-h += src/promisc.h
 iptraf-h += src/parseproto.h
@@ -116,6 +113,8 @@
 iptraf-h += src/list.h
 iptraf-h += src/counters.h
 iptraf-h += src/rate.h
+iptraf-h += src/built-in.h
+iptraf-h += src/sockaddr.h
 
 iptraf-o += src/tui/input.o
 iptraf-o += src/tui/labels.o
@@ -126,7 +125,6 @@
 iptraf-o += src/error.o
 iptraf-o += src/log.o
 iptraf-o += src/getpath.o
-iptraf-o += src/bar.o
 iptraf-o += src/parseproto.o
 iptraf-o += src/fltselect.o
 iptraf-o += src/ipfilter.o
@@ -134,12 +132,10 @@
 iptraf-o += src/ipfrag.o
 iptraf-o += src/serv.o
 iptraf-o += src/servname.o
-iptraf-o += src/instances.o
 iptraf-o += src/timer.o
 iptraf-o += src/revname.o
 iptraf-o += src/pktsize.o
 iptraf-o += src/landesc.o
-iptraf-o += src/isdntab.o
 iptraf-o += src/options.o
 iptraf-o += src/promisc.o
 iptraf-o += src/ifaces.o
@@ -159,9 +155,13 @@
 iptraf-o += src/cidr.o
 iptraf-o += src/counters.o
 iptraf-o += src/rate.o
+iptraf-o += src/capture-pkt.o
+iptraf-o += src/sockaddr.o
 
 rvnamed-o += src/rvnamed.o
 rvnamed-o += src/getpath.o
+rvnamed-o += src/sockaddr.o
+rvnamed-o += src/usage.o
 
 -include config.mak.autogen
 -include config.mak
@@ -245,18 +245,18 @@
 
 # try find ncuses by autodetect
 ifndef NCURSES_LDFLAGS
-	ifneq ($(shell ncurses5-config --libs 2>/dev/null),)
-		NCURSES_CFLAGS := $(shell ncurses5-config --cflags 2>/dev/null)
-		NCURSES_LDFLAGS := $(shell ncurses5-config --libs 2>/dev/null)
+	ifneq ($(shell ncursesw6-config --libs 2>/dev/null),)
+		NCURSES_CFLAGS := $(shell ncursesw6-config --cflags 2>/dev/null)
+		NCURSES_LDFLAGS := $(shell ncursesw6-config --libs 2>/dev/null)
+	else ifneq ($(shell ncurses6-config --libs 2>/dev/null),)
+		NCURSES_CFLAGS := $(shell ncurses6-config --cflags 2>/dev/null)
+		NCURSES_LDFLAGS := $(shell ncurses6-config --libs 2>/dev/null)
 	else ifneq ($(shell ncursesw5-config --libs 2>/dev/null),)
 		NCURSES_CFLAGS := $(shell ncursesw5-config --cflags 2>/dev/null)
 		NCURSES_LDFLAGS := $(shell ncursesw5-config --libs 2>/dev/null)
-	else ifneq ($(shell ncurses6-config --libs 2>/dev/null),)
-		NCURSES_CFLAGS := $(shell ncurses6-config --cflags 2>/dev/null)
-		NCURSES_LDFLAGS := $(shell ncurses6-config --libs 2>/dev/null)
-	else ifneq ($(shell ncursesw6-config --libs 2>/dev/null),)
-		NCURSES_CFLAGS := $(shell ncursesw6-config --cflags 2>/dev/null)
-		NCURSES_LDFLAGS := $(shell ncursesw6-config --libs 2>/dev/null)
+	else ifneq ($(shell ncurses5-config --libs 2>/dev/null),)
+		NCURSES_CFLAGS := $(shell ncurses5-config --cflags 2>/dev/null)
+		NCURSES_LDFLAGS := $(shell ncurses5-config --libs 2>/dev/null)
 	endif
 
 	ifneq ($(NCURSES_LDFLAGS),)
@@ -315,7 +315,7 @@
 		$(iptraf-o) $(ALL_LDFLAGS) $(NCURSES_LDFLAGS)
 
 src/deskman.o src/iptraf.o: VERSION-FILE
-src/deskman.o src/iptraf.o: EXTRA_CPPFLAGS = \
+src/deskman.o src/iptraf.o src/capture-pkt.o: EXTRA_CPPFLAGS = \
 	-DIPTRAF_VERSION='"$(IPTRAF_VERSION)"' \
 	-DIPTRAF_NAME='"iptraf-ng"'
 
@@ -449,5 +449,9 @@
 	$(RM) config.log config.mak.autogen config.mak.append config.status config.cache
 	$(RM) VERSION-FILE
 
+.PHONY: gtags
+gtags:
+	$(QUIET_GEN) gtags
+
 .PHONY: clean distclean all install FORCE

=== Documentation/Makefile ===
#
# Makefile for Documentation
#

html: manual.sgml
	docbook2html manual.sgml

pspdf: manual.sgml
	docbook2ps manual.sgml
	ps2pdf manual.ps

manual.sgml:	
	cat manual.template | sed -e s/@@version@@/`cat version`/ \
	-e s/@@major@@/`awk -F '.' -f version.awk  < version`/ \
	> manual.sgml

clean:
	rm -f *~ *.html manual.sgml

=== debian/changelog ===
iptraf-ng (1.1.4-2) unstable; urgency=medium

  * Conflicts with iptraf (Closes: #754883)

 -- Aron Xu <happyaron.xu@gmail.com>  Fri, 25 Dec 2015 16:27:12 +0800

iptraf-ng (1.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Thu, 28 Nov 2013 00:46:50 +0800

=== debian/control ===
Source: iptraf-ng
Section: net
Priority: optional
Maintainer: Aron Xu <aron@debian.org>
Uploaders: Frederic Peters <fpeters@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libncurses5-dev, libncursesw5-dev
Standards-Version: 3.9.5
Homepage: https://fedorahosted.org/iptraf-ng/
Vcs-Git: git://anonscm.debian.org/collab-maint/iptraf-ng.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/iptraf-ng.git

Package: iptraf-ng
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: iptraf
Provides: iptraf
Description: Next Generation Interactive Colorful IP LAN Monitor 
 IPTraf-ng is an ncurses-based IP LAN monitor that generates various network
 statistics including TCP info, UDP counts, ICMP and OSPF information, 
 Ethernet load info, node stats, IP checksum errors, and others. 
 .
 IPTraf-ng is the next generation of IPTraf started as a fork of original
 iptraf-3.0.0.

=== debian/watch ===
version=3
https://fedorahosted.org/releases/i/p/iptraf-ng/iptraf-ng-(.*).tar.gz
# Uncomment to examine a Webpage
#
# <Webpage URL> <string match>
#http://www.example.com/downloads.php iptraf-ng-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/iptraf-ng-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/iptraf-ng-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/iptraf-ng/iptraf-ng-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html iptraf-ng-(.*)\.tar\.gz

## iptraf-ng 1.2.0

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	@$(SHELL_PATH) ./GEN-VERSION-FILE
 -include VERSION-FILE
 
-CFLAGS = -g -O2 -Wall -W -std=gnu99
+CFLAGS = -g -O2 -Wall -W -std=gnu99 -Werror=format-security -D_GNU_SOURCE
 LDFLAGS =
 ALL_CFLAGS = $(CPPFLAGS) $(CFLAGS)
 ALL_LDFLAGS = $(LDFLAGS)
@@ -56,16 +56,8 @@
 # Guard against environment variables
 iptraf-h :=
 iptraf-o :=
-rvnamed-o :=
-rvnamed-h :=
-
-
-ALL_PROGRAMS =
-
-# Empty...
-EXTRA_PROGRAMS =
-
-ALL_PROGRAMS += iptraf-ng rvnamed-ng
+
+ALL_PROGRAMS := iptraf-ng
 
 ifndef SHELL_PATH
 	SHELL_PATH = /bin/sh
@@ -115,6 +107,11 @@
 iptraf-h += src/rate.h
 iptraf-h += src/built-in.h
 iptraf-h += src/sockaddr.h
+iptraf-h += src/capt.h
+iptraf-h += src/capt-recvmsg.h
+iptraf-h += src/capt-recvmmsg.h
+iptraf-h += src/capt-mmap-v2.h
+iptraf-h += src/capt-mmap-v3.h
 
 iptraf-o += src/tui/input.o
 iptraf-o += src/tui/labels.o
@@ -157,14 +154,12 @@
 iptraf-o += src/rate.o
 iptraf-o += src/capture-pkt.o
 iptraf-o += src/sockaddr.o
-
-rvnamed-o += src/rvnamed.o
-rvnamed-o += src/getpath.o
-rvnamed-o += src/sockaddr.o
-rvnamed-o += src/usage.o
-
--include config.mak.autogen
--include config.mak
+iptraf-o += src/capt.o
+iptraf-o += src/capt-recvmsg.o
+iptraf-o += src/capt-recvmmsg.o
+iptraf-o += src/capt-mmap-v2.o
+iptraf-o += src/capt-mmap-v3.o
+iptraf-o += src/rvnamed.o
 
 ifndef sysconfdir
 ifeq ($(prefix),/usr)
@@ -218,7 +213,7 @@
 	NCURSES_CFLAGS := $(shell ncursesw5-config --cflags 2>/dev/null)
 	NCURSES_LDFLAGS := $(shell ncursesw5-config --libs 2>/dev/null)
 	ifndef NO_PANEL
-		NCURSES_LDFLAGS += -lpanel
+		NCURSES_LDFLAGS += -lpanelw
 	endif
 endif
 endif
@@ -238,7 +233,7 @@
 	NCURSES_CFLAGS := $(shell ncursesw6-config --cflags 2>/dev/null)
 	NCURSES_LDFLAGS := $(shell ncursesw6-config --libs 2>/dev/null)
 	ifndef NO_PANEL
-		NCURSES_LDFLAGS += -lpanel
+		NCURSES_LDFLAGS += -lpanelw
 	endif
 endif
 endif
@@ -248,21 +243,27 @@
 	ifneq ($(shell ncursesw6-config --libs 2>/dev/null),)
 		NCURSES_CFLAGS := $(shell ncursesw6-config --cflags 2>/dev/null)
 		NCURSES_LDFLAGS := $(shell ncursesw6-config --libs 2>/dev/null)
+		ifndef NO_PANEL
+			NCURSES_LDFLAGS += -lpanelw
+		endif
 	else ifneq ($(shell ncurses6-config --libs 2>/dev/null),)
 		NCURSES_CFLAGS := $(shell ncurses6-config --cflags 2>/dev/null)
 		NCURSES_LDFLAGS := $(shell ncurses6-config --libs 2>/dev/null)
+		ifndef NO_PANEL
+			NCURSES_LDFLAGS += -lpanel
+		endif
 	else ifneq ($(shell ncursesw5-config --libs 2>/dev/null),)
 		NCURSES_CFLAGS := $(shell ncursesw5-config --cflags 2>/dev/null)
 		NCURSES_LDFLAGS := $(shell ncursesw5-config --libs 2>/dev/null)
+		ifndef NO_PANEL
+			NCURSES_LDFLAGS += -lpanelw
+		endif
 	else ifneq ($(shell ncurses5-config --libs 2>/dev/null),)
 		NCURSES_CFLAGS := $(shell ncurses5-config --cflags 2>/dev/null)
 		NCURSES_LDFLAGS := $(shell ncurses5-config --libs 2>/dev/null)
-	endif
-
-	ifneq ($(NCURSES_LDFLAGS),)
-	ifndef NO_PANEL
-		NCURSES_LDFLAGS += -lpanel
-	endif
+		ifndef NO_PANEL
+			NCURSES_LDFLAGS += -lpanel
+		endif
 	endif
 endif
 
@@ -319,18 +320,7 @@
 	-DIPTRAF_VERSION='"$(IPTRAF_VERSION)"' \
 	-DIPTRAF_NAME='"iptraf-ng"'
 
-rvnamed-ng: $(rvnamed-o)
-	$(QUIET_LINK)$(CC) $(ALL_CFLAGS) -o $@ \
-		$(rvnamed-o) $(ALL_LDFLAGS)
-
-configure: configure.ac
-	$(QUIET_GEN)$(RM) $@ $<+ && \
-	sed -e 's/@@IPTRAF_VERSION@@/$(IPTRAF_VERSION)/g' \
-	    $< > $<+ && \
-	autoconf -o $@ $<+ && \
-	$(RM) $<+
-
-OBJECTS := $(sort $(iptraf-o) $(rvnamed-o))
+OBJECTS := $(sort $(iptraf-o))
 
 dep_files := $(foreach f,$(OBJECTS),$(dir $f).depend/$(notdir $f).d)
 dep_dirs := $(addsuffix .depend,$(sort $(dir $(OBJECTS))))
@@ -402,26 +392,29 @@
 
 ### Maintainer's dist rules
 
-iptraf-ng.spec: iptraf-ng.spec.in
-	sed -e 's/@@IPTRAF_VERSION@@/$(IPTRAF_VERSION)/g' < $< > $@+
-	mv $@+ $@
-
 IPTRAF_TARNAME = iptraf-ng-$(IPTRAF_VERSION)
-dist: iptraf-ng.spec configure
+dist:
 	@mkdir -p $(IPTRAF_TARNAME)
-	@cp iptraf-ng.spec configure $(IPTRAF_TARNAME)
 	@cp --parents `git ls-files` $(IPTRAF_TARNAME)
-	@echo $(IPTRAF_VERSION) > $(IPTRAF_TARNAME)/version
 	$(TAR) cf $(IPTRAF_TARNAME).tar $(IPTRAF_TARNAME)
 	@$(RM) -rf $(IPTRAF_TARNAME)
 	gzip -f -9 $(IPTRAF_TARNAME).tar
 
-rpm: dist
-	$(RPMBUILD) \
-		--define "_source_filedigest_algorithm md5" \
-		--define "_binary_filedigest_algorithm md5" \
-		-ta $(IPTRAF_TARNAME).tar.gz
-
+### Documentation rules
+html: Documentation/book1.html
+pdf: Documentation/manual.pdf
+
+Documentation/book1.html: Documentation/manual.sgml
+	cd Documentation && docbook2html manual.sgml
+
+Documentation/manual.pdf: Documentation/manual.sgml
+	cd Documentation && docbook2pdf manual.sgml
+
+Documentation/manual.sgml: Documentation/manual.sgml.in VERSION-FILE
+	cat $< | sed \
+		-e s/@@version@@/`echo $(IPTRAF_VERSION) | cut -d. -f1-3`/ \
+		-e s/@@major@@/`echo $(IPTRAF_VERSION) | cut -d. -f1-2`/ \
+	> $@
 
 ## TODO: use asciidoc to generate mans
 
@@ -432,26 +425,22 @@
 	$(INSTALL) $(ALL_PROGRAMS) '$(DESTDIR_SQ)$(sbindir_SQ)'
 	$(INSTALL) -d -m 755 $(DESTDIR)$(man8dir)
 	$(INSTALL) -m 644 src/iptraf-ng.8  $(DESTDIR)$(man8dir)
-	$(INSTALL) -m 644 src/rvnamed-ng.8  $(DESTDIR)$(man8dir)
 
 ### Cleaning rules
 
 distclean: clean
-	$(RM) configure
 
 clean:
-	$(RM) src/*.o src/tui/*.o
+	$(RM) Documentation/manual.sgml
+	$(RM) Documentation/manual.pdf
+	$(RM) Documentation/*.html
+	$(RM) $(iptraf-o)
 	$(RM) $(ALL_PROGRAMS)
-	$(RM) -r autom4te.cache
 	$(RM) -r $(dep_dirs)
-	$(RM) *.spec
 	$(RM) $(IPTRAF_TARNAME).tar.gz
-	$(RM) config.log config.mak.autogen config.mak.append config.status config.cache
 	$(RM) VERSION-FILE
 
-.PHONY: gtags
 gtags:
 	$(QUIET_GEN) gtags
 
-.PHONY: clean distclean all install FORCE
-
+.PHONY: clean distclean all install html pdf gtags FORCE

=== debian/changelog ===
iptraf-ng (1:1.2.0-1) unstable; urgency=medium

  * New upstream release, drop patches applied upstream
  * Use dh compat level 10, remove --parallel from d/rules
  * Use std-ver 4.5.0
  * d/control, d/copyright: update various URLs
  * d/watch: update for new upstream location
  * Install symlink iptraf-ng -> iptraf (Closes: #902603)
  * Remove transitional package: iptraf (Closes: #683493, #842411, #858200, #939244)
  * Remove useless B-D on autotools-dev
  * Remove fpeters from Uploaders
  * d/rules:
    - build html docs explicitly
    - make build process verbose (Closes: #851595)

 -- Aron Xu <aron@debian.org>  Sun, 05 Jul 2020 21:58:09 +0800

iptraf-ng (1:1.1.4-6) unstable; urgency=medium

  * Bump epoch to make it upgradable from iptraf.

 -- Aron Xu <aron@debian.org>  Mon, 27 Mar 2017 15:00:11 +0800

iptraf-ng (1.1.4-5) unstable; urgency=medium

  * Add transitional dummy package iptraf

 -- Aron Xu <aron@debian.org>  Sun, 26 Mar 2017 20:01:01 +0800

iptraf-ng (1.1.4-4) unstable; urgency=medium

  * Restore correct maintainer address (Closes: #842431)

 -- Aron Xu <aron@debian.org>  Thu, 01 Dec 2016 20:25:22 +0800

iptraf-ng (1.1.4-3) unstable; urgency=medium

  [ Dann Frazier ]
  * d/p/build-use-wide-version-of-lpanel-when-needed.patch: Fix corrupted
    ncurses display. LP: #1574832, Closes: #819928.

 -- Aron Xu <aron@debian.org>  Mon, 25 Apr 2016 17:28:13 -0600

## iptraf-ng 1.2.1

=== debian/changelog ===
iptraf-ng (1:1.2.1-2) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Ensure CFLAGS and LDFLAGS are set to values from dpkg-buildflags

  [ Aron Xu ]
  * B-D on libncurses-dev, replacing libncurses5-dev and libncursesw5-dev

 -- Aron Xu <aron@debian.org>  Tue, 16 Jul 2024 17:06:37 +0800

iptraf-ng (1:1.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Wed, 28 Oct 2020 10:02:26 +0800

=== debian/control ===
Source: iptraf-ng
Section: net
Priority: optional
Maintainer: Aron Xu <aron@debian.org>
Build-Depends: debhelper (>= 10), libncurses-dev, docbook-utils
Standards-Version: 4.5.0
Homepage: https://github.com/iptraf-ng/iptraf-ng

Package: iptraf-ng
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: iptraf
Description: Next Generation Interactive Colorful IP LAN Monitor 
 IPTraf-ng is an ncurses-based IP LAN monitor that generates various network
 statistics including TCP info, UDP counts, ICMP and OSPF information, 
 Ethernet load info, node stats, IP checksum errors, and others. 
 .
 IPTraf-ng is the next generation of IPTraf started as a fork of original
 iptraf-3.0.0.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/buildflags.mk

%:
	dh $@
override_dh_auto_install:
	mkdir -p debian/iptraf-ng/etc/logrotate.d && cp -f iptraf-ng-logrotate.conf debian/iptraf-ng/etc/logrotate.d/iptraf-ng
	# Do not run upstream install
	#dh_auto_install

override_dh_auto_build:
	dh_auto_build -- V=1 CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	make html

## iptraf-ng 1.2.2

=== debian/changelog ===
iptraf-ng (1:1.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1090381, CVE-2024-52949)
  * Update std-ver to 4.7.2, no change required.
  * Add appropriate maint scripts (Closes: #859759, #900370)
  * Fix upstream logrotate configuration (Closes: #860568, #944969)

 -- Aron Xu <aron@debian.org>  Thu, 18 Dec 2025 16:33:35 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Aron Xu <aron@debian.org>
 Build-Depends: debhelper (>= 10), libncurses-dev, docbook-utils
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/iptraf-ng/iptraf-ng
 
 Package: iptraf-ng
